package com.gic.enterprise.base;

import java.io.Serializable;
import java.util.List;

/**
 * 资源组-用户域配置信息
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/11 5:03 PM 
 */
public class CustomUserInfo implements Serializable{
    private static final long serialVersionUID = 1367841846948855705L;

    /**
     * 1：全部   2：部分 超管就是1全部
     */
    private Integer type;

    /**
     * 用户域 0:不授予 1:授予
     */
    private Integer customUser;

    /**
     * 用户域配置json转为类
     */
    private List<ResourceGroupCustomUserInfo> customUserList;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 微盟店铺多选，weimob_order_area选择1时选择店铺
     */
    private List<Long> weimobStoreId;

    /**
     * 短信签名
     */
    private List<Long> smsId;

    public Integer getType() {
        return type;
    }

    public CustomUserInfo setType(Integer type) {
        this.type = type;
        return this;
    }

    public Integer getCustomUser() {
        return customUser;
    }

    public CustomUserInfo setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public List<ResourceGroupCustomUserInfo> getCustomUserList() {
        return customUserList;
    }

    public CustomUserInfo setCustomUserList(List<ResourceGroupCustomUserInfo> customUserList) {
        this.customUserList = customUserList;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public CustomUserInfo setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public CustomUserInfo setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public List<Long> getWeimobStoreId() {
        return weimobStoreId;
    }

    public CustomUserInfo setWeimobStoreId(List<Long> weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public List<Long> getSmsId() {
        return smsId;
    }

    public CustomUserInfo setSmsId(List<Long> smsId) {
        this.smsId = smsId;
        return this;
    }

    @Override
    public String toString() {
        return "CustomUserInfo{" +
                "type=" + type +
                ", customUser=" + customUser +
                ", customUserList=" + customUserList +
                ", storeOrderArea=" + storeOrderArea +
                ", weimobOrderArea=" + weimobOrderArea +
                ", weimobStoreId=" + weimobStoreId +
                ", smsId=" + smsId +
                '}';
    }
}
