package com.gic.enterprise.exception;

import java.util.List;
import java.util.Set;

import javax.validation.ConstraintViolation;
import javax.validation.ConstraintViolationException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.validation.BindException;
import org.springframework.validation.FieldError;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.error.ErrorCode;

/**
 * 全局异常处理类
 *
 * @author hua
 *
*/
@ControllerAdvice
@ResponseBody
public class GlobalExceptionHandler {
    private static Logger logger = LogManager.getLogger(GlobalExceptionHandler.class);


    @ExceptionHandler(RuntimeException.class)
    public RestResponse runtimeException(RuntimeException e){
        return RestResponse.failure(ErrorCode.SYSTEM_ERROR.getCode(), "系统异常，请联系管理员", e.getMessage());
    }


    @ResponseBody
    @ExceptionHandler(CommonException.class)
    public RestResponse customException(CommonException e) {
        return getRestResponse(e.getErrorCode(), e.getMessage());
    }


    private RestResponse getRestResponse(String errorCode, String message) {
        return RestResponse.failure(errorCode, message);
    }

    private static String getFailFastMsg(String paramName, String paramError) {
        return String.format("%s:%s", paramName, paramError);
    }

}
